2.14.1 Won't build from sources!

issue-resolved

(Elija Antonuk) #1

Last version won’t build from sources(with wrapper 2) it has multiple bugs. So… has gradle ceased from being opensource at all(I know it’s a company product for a long time) - meaning you don’t openly(at github) cooperate and develop behind close doors or its misunderstanding?


(Luke Daley) #2

Hi Elija,

Can you please provide some details on what error you encountered.


(Elija Antonuk) #3

I’m just building your source(git checkout). The error completely changed from last time(you changed smth):

[user@ gradle]$ ./gradlew
Downloading https://services.gradle.org/distributions-snapshots/gradle-3.0-20160720184418+0000-bin.zip
..............................................................................................................................................................................
Unzipping /home/user/.gradle/wrapper/dists/gradle-3.0-20160720184418+0000-bin/3v522d7eli9y4yr310li7hjmm/gradle-3.0-20160720184418+0000-bin.zip to /home/user/.gradle/wrapper/dists/gradle-3.0-20160720184418+0000-bin/3v522d7eli9y4yr310li7hjmm
Set executable permissions for: /home/user/.gradle/wrapper/dists/gradle-3.0-20160720184418+0000-bin/3v522d7eli9y4yr310li7hjmm/gradle-3.0-20160720184418+0000/bin/gradle
Starting a Gradle Daemon (subsequent builds will be faster)
Generating JAR file 'gradle-api-3.0-20160720184418+0000.jar'

FAILURE: Build failed with an exception.

* What went wrong:
Could not resolve all dependencies for configuration ':runtime'.
> Could not find org.ow2.asm:asm-all:5.1.
  Searched in the following locations:
      https://repo.gradle.org/gradle/libs-releases/org/ow2/asm/asm-all/5.1/asm-all-5.1.pom
      https://repo.gradle.org/gradle/libs-releases/org/ow2/asm/asm-all/5.1/asm-all-5.1.jar
  Required by:
      :buildSrc:unspecified
> Could not find com.google.guava:guava-jdk5:14.0.1.
  Searched in the following locations:
      https://repo.gradle.org/gradle/libs-releases/com/google/guava/guava-jdk5/14.0.1/guava-jdk5-14.0.1.pom
      https://repo.gradle.org/gradle/libs-releases/com/google/guava/guava-jdk5/14.0.1/guava-jdk5-14.0.1.jar
  Required by:
      :buildSrc:unspecified
> Could not find commons-lang:commons-lang:2.6.
  Searched in the following locations:
      https://repo.gradle.org/gradle/libs-releases/commons-lang/commons-lang/2.6/commons-lang-2.6.pom
      https://repo.gradle.org/gradle/libs-releases/commons-lang/commons-lang/2.6/commons-lang-2.6.jar
  Required by:
      :buildSrc:unspecified
> Could not find org.pegdown:pegdown:1.6.0.
  Searched in the following locations:
      https://repo.gradle.org/gradle/libs-releases/org/pegdown/pegdown/1.6.0/pegdown-1.6.0.pom
      https://repo.gradle.org/gradle/libs-releases/org/pegdown/pegdown/1.6.0/pegdown-1.6.0.jar
  Required by:
      :buildSrc:unspecified
> Could not find org.jsoup:jsoup:1.6.3.
  Searched in the following locations:
      https://repo.gradle.org/gradle/libs-releases/org/jsoup/jsoup/1.6.3/jsoup-1.6.3.pom
      https://repo.gradle.org/gradle/libs-releases/org/jsoup/jsoup/1.6.3/jsoup-1.6.3.jar
  Required by:
      :buildSrc:unspecified

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

(Luke Daley) #4

Our Artifactory online instance repo.gradle.org is down. We aren’t being tyrants. I’ll raise a support request with our provider and inform you when it will be available again.


(Elija Antonuk) #5

Good to know. I always feel happy able to build all my tools from sources. thx for notifying me.


(Luke Daley) #6

The service is now operational again. Please try to build it another time.